/*
 * To change this license header, choose License Headers in Project Properties.
 * To change this template file, choose Tools | Templates
 * and open the template in the editor.
 */
package com.fidufosyga.rules;

import java.io.File;
import java.io.FileInputStream;
import java.io.FileNotFoundException;
import java.io.IOException;
import java.util.Properties;

import com.fidufosyga.context.Context;
import com.fidufosyga.rules.util.ValidarFecha;
import java.text.SimpleDateFormat;
import java.util.Date;

/**
 *
 * @author marinela.quintero
 */

public class ValidacionNovedadN40SAT extends AbstractRule {

    /**
     * Creates a new instance of SubcadenaArchivoDiferenteValorCampo
     */
    public ValidacionNovedadN40SAT() {
    }

    public boolean performValidation(String field, String registro[],
            String nombreArchivo) {
    
        Integer valor1 = new Integer((String) getParams()[0]).intValue();
        Integer valor2 = new Integer((String) getParams()[1]).intValue();

        String cadena = nombreArchivo.substring(valor1.intValue() - 1, valor1.intValue() + valor2 - 1);
        
            String campoTipoNovedad = (String) (getParams()[2]);
        int campoDepNovedad = Integer.parseInt(campoTipoNovedad);
        String TipoNovedad = registro[campoDepNovedad];
        
        
        String Novedad = (String) getParams()[3];

          if (!"MSPS01".equals(cadena) && TipoNovedad.equals(Novedad)) {
        try {
            if (!field.equals(cadena)) {
                return true;  
            }
        } catch (Exception e) {
            
        }
    }

    return false;  
}
}